%define name    koncd
%define version 0.7
%define release 3mdk

Summary:	CD-Burner for KDE2
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Archiving/Cd burning
Source:		%{name}-%{version}.tar.bz2
URL: 		http://www.koncd.de
Requires: 	cdrecord mkisofs
BuildRoot: 	%_tmppath/%{name}-buildroot
BuildRequires:  db3 readline pam popt libtermcap2 zlib1 XFree86-libs Mesa-common file kdelibs
BuildRequires:  libbinutils2 libbzip2_1 db1 freetype2 libjpeg62 libmng1 libpng2 libqt2 
BuildRequires:  rpm-build

%description
KOnCD is a program that allows you to master CDs with mkisofs and cdrecord
programs. It can create multisession CDs, bootable CDs and it supports blanking
on CD-RW. It also copy CDs on-the-fly. This is the KDE 2 Edition !

%prep

%setup -q

%build
CFLAGS="%optflags" CXXFLAGS="%optflags" \
./configure --with-qt-dir=%_libdir/qt2 \
            --disable-rpath \
	    --prefix=%_prefix \
	    --mandir=%_mandir \
	    --datadir=%_datadir \
	    --disable-debug 

%make

%install

%makeinstall

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat > $RPM_BUILD_ROOT/%{_menudir}/koncd << EOF
?package(koncd): command="/usr/bin/koncd" needs="X11" section="Applications/Archiving/Cd burning" title="KonCD" longtitle="KonCD" icon="%{name}.png"
EOF


%{find_lang} %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README TODO 
%_bindir/*
%_menudir/*
%_datadir/applnk/Applications/*
%_datadir/icons/locolor/16x16/apps/*
%_datadir/icons/locolor/32x32/apps/*
%_datadir/icons/hicolor/16x16/apps/*
%_datadir/icons/hicolor/32x32/apps/*


%changelog
* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 0.7-3mdk
- Move KDE menu entry in %%_datadir/applnk
- Use optimizations
- Fix BuildRequires fon non %%ix86 architectures
- Rebuild against latest GCC

* Mon Apr 02 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-2mdk
- Add build requires

* Sat Mar 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7-1mdk
- updated to 0.7 
- updated filelist
- it's done Claudio ;-)

* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 0.65-2mdk
- Rebuild against Qt 2.3.0

* Tue Mar 06 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.65-1mdk
- updated to 0.65
- updated files section

* Mon Dec 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-1mdk
- new in contribs
- used srpm from Balaji Ramani <balaji@yablibli.com>

* Tue Nov 28 2000 Balaji Ramani <balaji@yablibli.com>
- Initial version
